Bug 836762 - [abrt] shotwell-0.12.3-1.fc17: __GI_raise: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] shotwell-0.12.3-1.fc17: __GI_raise: Process /usr/bin/shotwell was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:ec5afd4e34a8582ce2e4ac75176...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 22:38 EDT by patrick korsnick
Modified: 2013-08-01 00:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (71.84 KB, text/plain)
2012-06-30 22:39 EDT, patrick korsnick
no flags Details
File: maps (80.95 KB, text/plain)
2012-06-30 22:39 EDT, patrick korsnick
no flags Details
File: dso_list (16.30 KB, text/plain)
2012-06-30 22:39 EDT, patrick korsnick
no flags Details
File: open_fds (5.83 KB, text/plain)
2012-06-30 22:39 EDT, patrick korsnick
no flags Details

  None (edit)
Description patrick korsnick 2012-06-30 22:38:56 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell
crash_function: __GI_raise
executable:     /usr/bin/shotwell
kernel:         3.4.4-3.fc17.x86_64
pid:            1309
pwd:            /home/ppk
time:           Sat 30 Jun 2012 08:23:20 PM MDT
uid:            1000
username:       ppk
xsession_errors: 

backtrace:      Text file, 73569 bytes
dso_list:       Text file, 16690 bytes
maps:           Text file, 82894 bytes
open_fds:       Text file, 5973 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ppk/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68867 g_assertion_message libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x68d84 g_assertion_message_expr libglib-2.0.so.0 -
:d0fc68226938d55fcf8ce6b4c0632c8a3ac9dbf6 0x10c59 - libgee.so.2 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x1d09e3 - [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x111fa8 - [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x28fc12 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x95d53 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20003 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a210c gtk_widget_activate libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x195a1e gtk_menu_shell_activate_item libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x195dab - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x28cd9c application_start [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x1867d8 library_exec [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x187860 _vala_main [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x748f1 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=neuromancer
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/ppk/keyring-K7ncPs
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=ppk
:USERNAME=ppk
:MAIL=/var/spool/mail/ppk
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ppk/.local/bin:/home/ppk/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/ppk
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=918
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/ppk
:SHLVL=1
:LOGNAME=ppk
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-aAfMxz9Esb,guid=b2f6ebea6737ffe296ee4d4a00000017
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ppk
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-ppk-ISyfbZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/922,unix/unix:/tmp/.ICE-unix/922
:SSH_AUTH_SOCK=/run/user/ppk/keyring-K7ncPs/ssh
:GPG_AGENT_INFO=/run/user/ppk/keyring-K7ncPs/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1309

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 126999               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       126999               126999               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:General
:=================================
:UUID: 60387ab5-a325-4bbf-a039-4520b9e57101
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4585.25
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2820QM CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2301
:System Memory: 15896
:System Swap: 4095
:Vendor: LENOVO
:System: 4270CTO ThinkPad W520
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59426:6058:8655) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:260:6058:8655) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:6058:8655) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4147:404:6058:8655) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(4318:3050:6058:8655) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(4318:3578:6058:8655) pci, nouveau, VIDEO, GF108 [Quadro 1000M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 30711675 21919134 21611728 7692288 7559564 7559564
:

var_log_messages:
:Jun 29 15:09:12 neuromancer yum[1480]: Updated: shotwell-0.12.3-1.fc17.x86_64
:Jun 29 16:16:51 neuromancer kernel: [  316.350140] shotwell[1430] trap int3 ip:7fd3463b2851 sp:7fff9a4522d0 error:0
:Jun 29 16:16:53 neuromancer abrt[2849]: Saved core dump of pid 1430 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-29-16:16:51-1430 (1021034496 bytes)
:Jun 29 16:22:01 neuromancer kernel: [  626.370476] shotwell[4677]: segfault at 20 ip 00007f7b7fbe3d68 sp 00007fff3510e750 error 6 in libglib-2.0.so.0.3200.3[7f7b7fbc4000+11d000]
:Jun 29 16:22:01 neuromancer abrt[4683]: Saved core dump of pid 4677 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-29-16:22:01-4677 (27193344 bytes)
:Jun 29 16:22:11 neuromancer kernel: [  636.073065] shotwell[4718]: segfault at 20 ip 00007f34a7070d68 sp 00007fffaf106d80 error 6 in libglib-2.0.so.0.3200.3[7f34a7051000+11d000]
:Jun 29 16:22:11 neuromancer abrt[4721]: Not dumping repeating crash in '/usr/bin/shotwell'
:Jun 30 20:23:21 neuromancer abrt[1960]: Saved core dump of pid 1309 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-30-20:23:20-1309 (333676544 bytes)
Comment 1 patrick korsnick 2012-06-30 22:39:00 EDT
Created attachment 595496 [details]
File: backtrace
Comment 2 patrick korsnick 2012-06-30 22:39:01 EDT
Created attachment 595497 [details]
File: maps
Comment 3 patrick korsnick 2012-06-30 22:39:03 EDT
Created attachment 595498 [details]
File: dso_list
Comment 4 patrick korsnick 2012-06-30 22:39:04 EDT
Created attachment 595499 [details]
File: open_fds
Comment 5 patrick korsnick 2012-06-30 22:42:21 EDT
I believe I triggered this bug by right clicking on a picture and selecting Move to Trash. There were 3 pictures in the Last Import column- I right clicked each and said to Move to Trash. I expected  the photos to be gone, but they were still there and so I tried again and when I right clicked the first one to say Move to Trash shotwell crashed.
Comment 6 Rafał Polak 2012-09-23 06:29:54 EDT
App crashed while moving picture into trash.

backtrace_rating: 4
Package: shotwell-0.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-03 20:26:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 00:08:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.